javax.batch.api.chunk.listener

## Interface RetryWriteListener

    public interface RetryWriteListener

RetryWriteListener intercepts retry processing for an ItemWriter.

### Method Summary

Methods
`void` `onRetryWriteException(List<Object> items, Exception ex)` The onRetryWriteException method receives control when a retryable exception is thrown from an ItemWriter writeItems method.

### Method Detail

#### onRetryWriteException

    void onRetryWriteException(List<Object> items,
                             Exception ex)
                               throws Exception

The onRetryWriteException method receives control when a retryable exception is thrown from an ItemWriter writeItems method. This method receives the exception and the list of items being written as inputs. This method receives control in same checkpoint scope as the ItemWriter. If this method throws a an exception, the job ends in the FAILED state.

Parameters:
  `items` - specify the items passed to an item writer.
  `ex` - specifies the exception thrown by an item writer.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0